# Uses of Enum Class
org.apache.solr.common.ToleratedUpdateError.CmdType

Packages that use ToleratedUpdateError.CmdType
Package
Description
org.apache.solr.common
Common classes reused on both clients & server for dealing with `documents to be indexed` and `result documents`.

## Uses of ToleratedUpdateError.CmdType in org.apache.solr.common

Methods in org.apache.solr.common that return ToleratedUpdateError.CmdType
Modifier and Type
Method
Description
`ToleratedUpdateError.CmdType`
ToleratedUpdateError.`getType()`
`static ToleratedUpdateError.CmdType`
ToleratedUpdateError.CmdType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ToleratedUpdateError.CmdType[]`
ToleratedUpdateError.CmdType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.solr.common with parameters of type ToleratedUpdateError.CmdType
Modifier
Constructor
Description
``
`ToleratedUpdateError(ToleratedUpdateError.CmdType type, String id, String message)`